Subject: [bug#32153] [PATCH 0/2]: ruby-build-system: Error or return #t from all phases.

From: Marius Bakke <[email-masked]>
Date: Sun, 15 Jul 2018 01:18:06 +0200

Christopher Baines <[email-masked]> writes:

> I'm trying to continue along with the Rails packaging (#30689), but I
> noticed that currently if the tests fail for packages using the ruby
> build system, then the package build doesn't fail.
>
> These patches should get most of the packages using the ruby build
> system to raise exceptions when there are errors, and return #t
> otherwise.
>
> I'm hopeful that this can be merged directly in to master, I build 180
> packages in not that much time at all to test this change [1].
>
> 1: ./pre-inst-env guix package -s ruby- | recsel -P name | xargs ./pre-inst-env guix build

Thank you for fixing it!  Since this only affects gems, not ruby itself
(which has ~900 dependencies), I think it can go on 'master' too[1].

[1] guix refresh -l $(guix package -s ^ruby- | recsel -P name)

By the way, Ruby 2.5 is out.  Are you willing to try upgrading it for
'staging'?  :-)